## linkchecker 8.3

=== Makefile ===
# This Makefile is only used by developers.
PYVER:=2.7
PYTHON?=python$(PYVER)
VERSION:=$(shell $(PYTHON) setup.py --version)
PLATFORM:=$(shell $(PYTHON) -c "from distutils.util import get_platform; print get_platform()")
APPNAME:=$(shell $(PYTHON) setup.py --name)
LAPPNAME:=$(shell echo $(APPNAME)|tr "[A-Z]" "[a-z]")
ARCHIVE_SOURCE:=$(APPNAME)-$(VERSION).tar.xz
ARCHIVE_WIN32:=$(APPNAME)-$(VERSION).exe
GITUSER:=wummel
GITREPO:=$(LAPPNAME)
HOMEPAGE:=$(HOME)/public_html/$(LAPPNAME).git
DEBUILDDIR:=$(HOME)/projects/debian/official
DEBORIGFILE:=$(DEBUILDDIR)/$(LAPPNAME)_$(VERSION).orig.tar.xz
FILESCHECK_URL:=http://localhost/~calvin/
SRCDIR:=${HOME}/src
PY_FILES_DIRS:=linkcheck tests *.py linkchecker linkchecker-nagios linkchecker-gui cgi-bin config doc
MYPY_FILES_DIRS:=linkcheck/HtmlParser linkcheck/checker \
	  linkcheck/cache linkcheck/configuration linkcheck/director \
	  linkcheck/htmlutil linkcheck/logger linkcheck/network \
	  linkcheck/bookmarks \
	  linkcheck/gui/__init__.py \
	  linkcheck/gui/checker.py \
	  linkcheck/gui/contextmenu.py \
	  linkcheck/gui/debug.py \
	  linkcheck/gui/editor.py \
	  linkcheck/gui/editor_qsci.py \
	  linkcheck/gui/editor_qt.py \
	  linkcheck/gui/lineedit.py \
	  linkcheck/gui/help.py \
	  linkcheck/gui/logger.py \
	  linkcheck/gui/options.py \
	  linkcheck/gui/properties.py \
	  linkcheck/gui/settings.py \
	  linkcheck/gui/statistics.py \
	  linkcheck/gui/syntax.py \
	  linkcheck/gui/updater.py \
	  linkcheck/gui/urlmodel.py \
	  linkcheck/gui/urlsave.py \
	  $(filter-out %2.py,$(wildcard linkcheck/*.py)) \
	  cgi-bin/lc.wsgi \
	  linkchecker \
	  linkchecker-gui \
	  linkchecker-nagios \
	  *.py

TESTS ?= tests
# set test options, eg. to "--verbose"
TESTOPTS=
PAGER ?= less
# original dnspython repository module
DNSPYTHON:=$(HOME)/src/dnspython-git
# options to run the pep8 utility
PEP8OPTS:=--repeat --ignore=E211,E501,E225,E301,E302,E241 \
   --exclude="gzip2.py,httplib2.py,robotparser2.py"
PY2APPOPTS ?=
ifeq ($(shell uname),Darwin)
  CHMODMINUSMINUS:=
  NUMPROCESSORS:=$(shell sysctl -n hw.ncpu)
else
  CHMODMINUSMINUS:=--
  NUMPROCESSORS:=$(shell grep -c processor /proc/cpuinfo)
endif
# Pytest options:
# - use multiple processors
# - write test results in file
# - log test durations
PYTESTOPTS:=-n $(NUMPROCESSORS) --resultlog=testresults.txt --durations=0


all:
	@echo "Read the file doc/install.txt to see how to build and install this package."

clean:
	-$(PYTHON) setup.py clean --all
	rm -f $(LAPPNAME)-out.* *-stamp*
	$(MAKE) -C po clean
	$(MAKE) -C doc/html clean
	$(MAKE) -C linkcheck/HtmlParser clean
	rm -f linkcheck/network/_network*.so
	find . -name '*.py[co]' -exec rm -f {} \;

distclean: clean
	rm -rf build dist $(APPNAME).egg-info
	rm -f _$(APPNAME)_configdata.py MANIFEST Packages.gz
# clean aborted dist builds and -out files
	rm -f $(LAPPNAME)-out* $(LAPPNAME).prof
	rm -f alexa*.log testresults.txt
	rm -rf $(APPNAME)-$(VERSION)
	rm -rf coverage dist-stamp python-build-stamp*

MANIFEST: MANIFEST.in setup.py
	$(PYTHON) setup.py sdist --manifest-only

locale:
	$(MAKE) -C po mofiles

# to build in the current directory
localbuild: MANIFEST locale
	$(MAKE) -C doc/html
	$(MAKE) -C linkcheck/HtmlParser
	$(PYTHON) setup.py build
	cp -f build/lib.$(PLATFORM)-$(PYVER)*/linkcheck/HtmlParser/htmlsax*.so linkcheck/HtmlParser
	cp -f build/lib.$(PLATFORM)-$(PYVER)*/linkcheck/network/_network*.so linkcheck/network

release: distclean releasecheck filescheck
	$(MAKE) dist sign upload homepage tag register deb

tag:
	git tag upstream/$(VERSION)
	git push --tags origin upstream/$(VERSION)

upload:
	github-upload $(GITUSER) $(GITREPO) \
	  dist/$(ARCHIVE_SOURCE) dist/$(ARCHIVE_WIN32) \
	  dist/$(ARCHIVE_SOURCE).asc dist/$(ARCHIVE_WIN32).asc

homepage:
# update documentation and man pages
	$(MAKE) -C doc man
# generate static files
	make -C $(HOMEPAGE) gen upload

register:
	@echo "Register at Python Package Index..."
	$(PYTHON) setup.py register
	@echo "done."
	@echo "Submitting to Freecode..."
	freecode-submit < $(LAPPNAME).freecode
	@echo "done."

deb:
# build a debian package
	[ -f $(DEBORIGFILE) ] || cp dist/$(ARCHIVE_SOURCE) $(DEBORIGFILE)
	sed -i -e 's/VERSION_$(LAPPNAME):=.*/VERSION_$(LAPPNAME):=$(VERSION)/' $(DEBUILDDIR)/$(LAPPNAME).mak
	[ -d $(DEBPACKAGEDIR) ] || (cd $(DEBUILDDIR); \
	  patool extract $(DEBORIGFILE); \
	  cd $(CURDIR); \
	  git checkout debian; \
	  cp -r debian $(DEBPACKAGEDIR); \
	  git checkout master)
	$(MAKE) -C $(DEBUILDDIR) $(LAPPNAME)_clean $(LAPPNAME)

chmod:
	-chmod -R a+rX,u+w,go-w $(CHMODMINUSMINUS) *
	find . -type d -exec chmod 755 {} \;

dist: locale MANIFEST chmod
	rm -f dist/$(APPNAME)-$(VERSION).tar.xz
	$(PYTHON) setup.py sdist --formats=tar
	xz dist/$(APPNAME)-$(VERSION).tar
	[ ! -f ../$(ARCHIVE_WIN32) ] || cp ../$(ARCHIVE_WIN32) dist

# Build OSX installer with py2app
app: distclean localbuild chmod
	$(PYTHON) setup.py py2app $(PY2APPOPTS)

# Build RPM installer with cx_Freeze
rpm:
	$(MAKE) -C doc/html
	$(MAKE) -C linkcheck/HtmlParser
	$(PYTHON) setup.py bdist_rpm

# The check programs used here are mostly local scripts on my private system.
# So for other developers there is no need to execute this target.
check:
	check-copyright
	check-pofiles -v
	py-tabdaddy $(MYPY_FILES_DIRS)
	py-unittest2-compat tests/
	$(MAKE) -C doc check
	$(MAKE) doccheck
	$(MAKE) pyflakes

doccheck:
	py-check-docstrings --force $(MYPY_FILES_DIRS)

filescheck: localbuild
	for out in text html gml sql csv xml gxml dot sitemap; do \
	  ./$(LAPPNAME) -o$$out -F$$out --complete -r1 -C $(FILESCHECK_URL) || exit 1; \
	done

update-copyright:
	update-copyright --holder="Bastian Kleineidam"

releasecheck: check update-certificates
	@if egrep -i "xx\.|xxxx|\.xx" doc/changelog.txt > /dev/null; then \
	  echo "Could not release: edit doc/changelog.txt release date"; false; \
	fi
	@if [ ! -f ../$(ARCHIVE_WIN32) ]; then \
	  echo "Missing WIN32 distribution archive at ../$(ARCHIVE_WIN32)"; \
	  false; \
	fi
	@if ! grep "Version: $(VERSION)" $(LAPPNAME).freecode > /dev/null; then \
	  echo "Could not release: edit $(LAPPNAME).freecode version"; false; \
	fi
	$(PYTHON) setup.py check --restructuredtext

sign:
	for f in $(shell find dist -name *.xz -o -name *.exe -o -name *.zip -o -name *.dmg); do \
	  [ -f $${f}.asc ] || gpg --detach-sign --armor $$f; \
	done

test:	localbuild
	env LANG=en_US.utf-8 $(PYTHON) -m pytest $(PYTESTOPTS) $(TESTOPTS) $(TESTS)

pyflakes:
	pyflakes $(PY_FILES_DIRS) 2>&1 | \
          grep -v -E "redefinition of unused '(StringIO|Editor|ContentTypeLexers|winreg)'" | \
          grep -v "local variable 'dummy' is assigned to but never used" | \
          grep -v -E "'(py2exe|py2app|PyQt4|biplist|setuptools|win32com|find_executable|parse_bookmark_data|parse_bookmark_file|wsgiref|pyftpdlib|linkchecker_rc)' imported but unused" | \
          grep -v -E "redefinition of unused '(setup|Distribution|build)'" | \
          grep -v "undefined name '_'" | \
	  grep -v "undefined name '_n'" | cat

pep8:
	pep8 $(PEP8OPTS) $(PY_FILES_DIRS)

# Compare custom Python files with the originals
diff:
	@for f in gzip robotparser httplib; do \
	  echo "Comparing $${f}.py"; \
	  diff -u linkcheck/$${f}2.py $(SRCDIR)/cpython.hg/Lib/$${f}.py | $(PAGER); \
	done
	@diff -u linkcheck/better_exchook.py $(SRCDIR)/py_better_exchook.git/better_exchook.py

# Compare dnspython files with the ones from upstream repository
dnsdiff:
	@(for d in dns tests; do \
	  diff -BurN --exclude=*.pyc third_party/dnspython/$$d $(DNSPYTHON)/$$d; \
	done) | $(PAGER)

changelog:
	github-changelog $(DRYRUN) $(GITUSER) $(GITREPO) doc/changelog.txt

gui:
	$(MAKE) -C linkcheck/gui

count:
	@sloccount linkchecker linkchecker-gui linkchecker-nagios linkcheck tests

# run eclipse ide
ide:
	eclipse -data $(CURDIR)/..

update-certificates:	config/ca-certificates.crt

config/ca-certificates.crt:	/etc/ssl/certs/ca-certificates.crt
	cp $< $@

.PHONY: test changelog gui count pyflakes ide login upload all clean distclean
.PHONY: pep8 cleandeb locale localbuild deb diff dnsdiff sign
.PHONY: filescheck update-copyright releasecheck check register announce
.PHONY: chmod dist app rpm release homepage update-certificates

=== doc/html/Makefile ===
HELPFILES := lccollection.qhc
HTMLFILES := index.html
OXYGEN := ${HOME}/src/oxygen-gitsvn
ICOICONS := logo16x16.png logo32x32.png
ICNSICONS := logo16x16.png logo32x32.png logo48x48.png logo128x128.png

all:	$(HELPFILES) $(HTMLFILES)

clean:
	-rm -f *.qhc *.qch

%.html:	%.txt html.header html.footer
	(cat html.header; markdown2 $<; cat html.footer) > $@

test:
	xmllint --valid --noout $(HTMLFILES)

%.qhc:	%.qhcp lcdoc.qhp $(HTMLFILES)
	qcollectiongenerator $< -o $@

logo%.png:	$(OXYGEN)/%/categories/applications-development-web.png
	cp $< $@

favicon.ico:	$(ICOICONS)
	png2ico favicon.ico $(ICOICONS)

favicon.icns:	$(ICNSICONS)
	png2icns favicon.icns $(ICNSICONS)

.PHONY: clean test

=== debian/changelog ===
linkchecker (8.3-1) unstable; urgency=low

  * New upstream release.
  * Remove unneeded dependency on pysqlite.
  * Remove conflict on python-dns.
    Closes: #694809

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 06 Jan 2013 22:33:15 +0100

linkchecker (8.2-1) unstable; urgency=low

  * New upstream release.
  * Use debhelper compatibility level 9.

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 09 Nov 2012 19:19:41 +0100

=== debian/control ===
Source: linkchecker
Section: web
Priority: optional
Maintainer: Bastian Kleineidam <calvin@debian.org>
Build-Depends: debhelper (>= 9),
               gettext,
               hardening-wrapper,
               python-all-dev (>= 2.7),
               qt4-dev-tools
X-Python-Version: >= 2.7
Standards-Version: 3.9.3.1
Homepage: http://wummel.github.com/linkchecker/
XS-Vcs-Git-Upstream: git://github.com/wummel/linkchecker.git
XS-Vcs-Browser-Upstream: https://github.com/wummel/linkchecker

Package: linkchecker
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python (>= 2.7.2)
Provides: ${python:Provides}
Suggests: clamav-daemon,
          linkchecker-gui,
          linkchecker-web,
          python-cssutils,
          python-gconf,
          python-geoip (>= 1.2.1-2),
          python-meliae,
          python-optcomplete (>= 1.2-5),
          python-twill,
          python-utidylib
Description: check websites and HTML documents for broken links
 Provides a command line program and web interface to check links
 of websites and HTML documents.
 Features:
  o recursive checking
  o multithreaded
  o output in colored or normal text, HTML, SQL, CSV, XML or a sitemap
    graph in different formats
  o HTTP/1.1, HTTPS, FTP, mailto:, news:, nntp:, Telnet and local file
    links support
  o restrict link checking with regular expression filters for URLs
  o proxy support
  o username/password authorization for HTTP, FTP and Telnet
  o robots.txt exclusion protocol support
  o Cookie support
  o i18n support
  o HTML and CSS syntax check
  o Antivirus check
 Users preferring a graphical interface can install the linkchecker-gui
 package.

Package: linkchecker-web
Architecture: all
Depends: linkchecker,
         apache2 | httpd,
         libapache2-mod-wsgi | httpd-wsgi,
         ${misc:Depends},
         ${python:Depends}
Conflicts: linkchecker (<< 7.7)
Description: check websites and HTML documents for broken links (web client)
 Provides a web interface to check links of websites and HTML documents.
 Features:
  o recursive checking
  o multithreaded
  o HTTP/1.1, HTTPS, FTP, mailto:, news:, nntp:, Telnet and local file
    links support
  o proxy support
  o username/password authorization for HTTP, FTP and Telnet
  o robots.txt exclusion protocol support
  o i18n support

Package: linkchecker-gui
Architecture: all
Depends: libqt4-sql-sqlite,
         linkchecker,
         python-qt4 (>= 4.5),
         python-qt4-sql,
         ${misc:Depends},
         ${python:Depends}
Recommends: python-qscintilla2
Description: check websites and HTML documents for broken links (GUI client)
 Provides a graphical interface "linkchecker-gui" to check links of websites
 and HTML documents.
 Features:
  o recursive checking
  o multithreaded
  o HTTP/1.1, HTTPS, FTP, mailto:, news:, nntp:, Telnet and local file
    links support
  o proxy support
  o username/password authorization for HTTP, FTP and Telnet
  o robots.txt exclusion protocol support
  o i18n support

=== debian/watch ===
# watch control file for uscan
version=3
http://sf.net/linkchecker/LinkChecker-(.*).tar.xz debian uupdate

## linkchecker 8.4

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 HOMEPAGE:=$(HOME)/public_html/$(LAPPNAME).git
 DEBUILDDIR:=$(HOME)/projects/debian/official
 DEBORIGFILE:=$(DEBUILDDIR)/$(LAPPNAME)_$(VERSION).orig.tar.xz
+DEBPACKAGEDIR:=$(DEBUILDDIR)/$(APPNAME)-$(VERSION)
 FILESCHECK_URL:=http://localhost/~calvin/
 SRCDIR:=${HOME}/src
 PY_FILES_DIRS:=linkcheck tests *.py linkchecker linkchecker-nagios linkchecker-gui cgi-bin config doc

=== doc/Makefile ===
HTMLDIR:=$(HOME)/public_html/linkchecker.git/source
MANHTMLFILES:= \
	$(HTMLDIR)/man1/linkchecker.1.html \
	$(HTMLDIR)/man5/linkcheckerrc.5.html \
	$(HTMLDIR)/man1/linkchecker-gui.1.html

MANFILES:=linkchecker.1 linkcheckerrc.5 linkchecker-gui.1
LOCALES:=en de

all:

po4a:
	po4a --localized-charset=UTF-8 po4a.conf

man:	$(MANHTMLFILES)

$(HTMLDIR)/man1/linkchecker.1.html: en/linkchecker.1 linkchecker.1.html.diff
	man2html -r $< | tail -n +2 | sed 's/Time:.*//g' | sed 's@/:@/@g' > $@
	patch --no-backup-if-mismatch --quiet $@ linkchecker.1.html.diff

$(HTMLDIR)/man5/linkcheckerrc.5.html: en/linkcheckerrc.5 linkcheckerrc.5.html.diff
	man2html -r $< | tail -n +2 | sed 's/Time:.*//g' | sed 's@/:@/@g' > $@
	patch --no-backup-if-mismatch --quiet $@ linkcheckerrc.5.html.diff

$(HTMLDIR)/man1/linkchecker-gui.1.html: en/linkchecker-gui.1 linkchecker-gui.1.html.diff
	man2html -r $< | tail -n +2 | sed 's/Time:.*//g' | sed 's@/:@/@g' > $@
	patch --no-backup-if-mismatch --quiet $@ linkchecker-gui.1.html.diff

# check all makefiles for formatting warnings
check:
	@t=$(shell tempfile); \
	for loc in $(LOCALES); do \
	  for manfile in $(MANFILES); do \
	    echo "Checking $$loc/$$manfile"; \
	    LC_ALL=en_US.UTF-8 MANWIDTH=80 man --warnings -E UTF-8 -l $$loc/$$manfile > /dev/null 2>$$t ; \
	    if [ -s $$t ]; then cat $$t; exit 1; fi; \
	  done; \
	done

.PHONY: po4a man check

=== debian/changelog ===
linkchecker (8.4-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 25 Jan 2013 07:21:21 +0100

linkchecker (8.3-2) unstable; urgency=low

  * Move custom control fields to debian/copyright
    (Closes: #697943)
  * Updated standards version to 3.9.4

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 17 Jan 2013 20:50:47 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,8 @@
                python-all-dev (>= 2.7),
                qt4-dev-tools
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.3.1
+Standards-Version: 3.9.4
 Homepage: http://wummel.github.com/linkchecker/
-XS-Vcs-Git-Upstream: git://github.com/wummel/linkchecker.git
-XS-Vcs-Browser-Upstream: https://github.com/wummel/linkchecker
 
 Package: linkchecker
 Architecture: any

## linkchecker 8.5

=== debian/changelog ===
linkchecker (8.5-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 24 Dec 2013 07:18:06 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                qt4-dev-tools
 X-Python-Version: >= 2.7
 Standards-Version: 3.9.4
-Homepage: http://wummel.github.com/linkchecker/
+Homepage: http://wummel.github.io/linkchecker/
 
 Package: linkchecker
 Architecture: any
@@ -52,7 +52,7 @@
          apache2 | httpd,
          libapache2-mod-wsgi | httpd-wsgi,
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends}, python (>= 2.7.2)
 Conflicts: linkchecker (<< 7.7)
 Description: check websites and HTML documents for broken links (web client)
  Provides a web interface to check links of websites and HTML documents.

=== debian/watch ===
# watch control file for uscan
version=3
http://wummel.github.com/linkchecker/ \
  http://github.com/downloads/wummel/linkchecker/LinkChecker-(.*).tar.xz

## linkchecker 8.6

=== Makefile ===
--- 
+++ 
@@ -4,12 +4,15 @@
 VERSION:=$(shell $(PYTHON) setup.py --version)
 PLATFORM:=$(shell $(PYTHON) -c "from distutils.util import get_platform; print get_platform()")
 APPNAME:=$(shell $(PYTHON) setup.py --name)
+AUTHOR:=$(shell $(PYTHON) setup.py --author)
+MAINTAINER:=$(shell $(PYTHON) setup.py --maintainer)
 LAPPNAME:=$(shell echo $(APPNAME)|tr "[A-Z]" "[a-z]")
 ARCHIVE_SOURCE:=$(APPNAME)-$(VERSION).tar.xz
 ARCHIVE_WIN32:=$(APPNAME)-$(VERSION).exe
 GITUSER:=wummel
 GITREPO:=$(LAPPNAME)
-HOMEPAGE:=$(HOME)/public_html/$(LAPPNAME).git
+HOMEPAGE:=$(HOME)/public_html/$(LAPPNAME)-webpage.git
+WEB_META:=doc/web/app.yaml
 DEBUILDDIR:=$(HOME)/projects/debian/official
 DEBORIGFILE:=$(DEBUILDDIR)/$(LAPPNAME)_$(VERSION).orig.tar.xz
 DEBPACKAGEDIR:=$(DEBUILDDIR)/$(APPNAME)-$(VERSION)
@@ -57,16 +60,13 @@
 PY2APPOPTS ?=
 ifeq ($(shell uname),Darwin)
   CHMODMINUSMINUS:=
-  NUMPROCESSORS:=$(shell sysctl -n hw.ncpu)
 else
   CHMODMINUSMINUS:=--
-  NUMPROCESSORS:=$(shell grep -c processor /proc/cpuinfo)
 endif
 # Pytest options:
-# - use multiple processors
+# - use multiple processes
 # - write test results in file
-# - log test durations
-PYTESTOPTS:=-n $(NUMPROCESSORS) --resultlog=testresults.txt --durations=0
+PYTESTOPTS:=-n 4 --resultlog=testresults.txt
 
 
 all:
@@ -105,22 +105,27 @@
 	cp -f build/lib.$(PLATFORM)-$(PYVER)*/linkcheck/network/_network*.so linkcheck/network
 
 release: distclean releasecheck filescheck
-	$(MAKE) dist sign upload homepage tag register deb
+	$(MAKE) dist sign upload homepage tag register changelog deb
 
 tag:
 	git tag upstream/$(VERSION)
 	git push --tags origin upstream/$(VERSION)
 
 upload:
-	github-upload $(GITUSER) $(GITREPO) \
-	  dist/$(ARCHIVE_SOURCE) dist/$(ARCHIVE_WIN32) \
-	  dist/$(ARCHIVE_SOURCE).asc dist/$(ARCHIVE_WIN32).asc
+	cp dist/$(ARCHIVE_SOURCE) dist/$(ARCHIVE_WIN32) \
+	  dist/$(ARCHIVE_SOURCE).asc dist/$(ARCHIVE_WIN32).asc \
+	  $(HOMEPAGE)/dist
 
 homepage:
+# update metadata
+	@echo "version: \"$(VERSION)\"" > $(WEB_META)
+	@echo "name: \"$(APPNAME)\"" >> $(WEB_META)
+	@echo "lname: \"$(LAPPNAME)\"" >> $(WEB_META)
+	@echo "maintainer: \"$(MAINTAINER)\"" >> $(WEB_META)
+	@echo "author: \"$(AUTHOR)\"" >> $(WEB_META)
 # update documentation and man pages
 	$(MAKE) -C doc man
-# generate static files
-	make -C $(HOMEPAGE) gen upload
+	$(MAKE) -C doc/web release
 
 register:
 	@echo "Register at Python Package Index..."
@@ -139,6 +144,7 @@
 	  cd $(CURDIR); \
 	  git checkout debian; \
 	  cp -r debian $(DEBPACKAGEDIR); \
+	  rm -f $(DEBPACKAGEDIR)/debian/.gitignore; \
 	  git checkout master)
 	$(MAKE) -C $(DEBUILDDIR) $(LAPPNAME)_clean $(LAPPNAME)
 
@@ -161,6 +167,10 @@
 	$(MAKE) -C doc/html
 	$(MAKE) -C linkcheck/HtmlParser
 	$(PYTHON) setup.py bdist_rpm
+
+# Build portable Linux app
+binary:	distclean localbuild chmod
+	LINKCHECKER_FREEZE=1 $(PYTHON) setup.py bdist
 
 # The check programs used here are mostly local scripts on my private system.
 # So for other developers there is no need to execute this target.
@@ -207,10 +217,8 @@
 
 pyflakes:
 	pyflakes $(PY_FILES_DIRS) 2>&1 | \
-          grep -v -E "redefinition of unused '(StringIO|Editor|ContentTypeLexers|winreg)'" | \
           grep -v "local variable 'dummy' is assigned to but never used" | \
           grep -v -E "'(py2exe|py2app|PyQt4|biplist|setuptools|win32com|find_executable|parse_bookmark_data|parse_bookmark_file|wsgiref|pyftpdlib|linkchecker_rc)' imported but unused" | \
-          grep -v -E "redefinition of unused '(setup|Distribution|build)'" | \
           grep -v "undefined name '_'" | \
 	  grep -v "undefined name '_n'" | cat

=== doc/html/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	xmllint --valid --noout $(HTMLFILES)
 
 %.qhc:	%.qhcp lcdoc.qhp $(HTMLFILES)
-	qcollectiongenerator $< -o $@
+	-qcollectiongenerator $< -o $@
 
 logo%.png:	$(OXYGEN)/%/categories/applications-development-web.png
 	cp $< $@

=== linkcheck/gui/rc/Makefile ===
# refresh media files

# base directory of oxygen icon set checkout
OXYGEN = $(HOME)/src/oxygen-gitsvn/16x16

ICONS = \
	cancel.png \
	online.png \
	options.png \
	preferences.png \
	save.png \
	start.png \
	stop.png \
	about.png \
	help.png \
	exit.png \
	copy.png \
	clear.png

all: $(ICONS)

app.png:	$(OXYGEN)/categories/applications-development-web.png
	cp $< $@

save.png:	$(OXYGEN)/actions/document-save-as.png
	cp $< $@

start.png:	$(OXYGEN)/actions/media-playback-start.png
	cp $< $@

stop.png:	$(OXYGEN)/actions/media-playback-stop.png
	cp $< $@

cancel.png:	$(OXYGEN)/actions/process-stop.png
	cp $< $@

about.png:	$(OXYGEN)/actions/help-about.png
	cp $< $@

help.png:	$(OXYGEN)/actions/help-contents.png
	cp $< $@

exit.png:	$(OXYGEN)/actions/application-exit.png
	cp $< $@

copy.png:	$(OXYGEN)/actions/edit-copy.png
	cp $< $@

online.png:	$(OXYGEN)/actions/document-open-remote.png
	cp $< $@

options.png:	$(OXYGEN)/categories/preferences-system-network.png
	cp $< $@

preferences.png: $(OXYGEN)/categories/preferences-other.png
	cp $< $@

clear.png:	$(OXYGEN)/actions/edit-clear-locationbar-rtl.png
	cp $< $@

clean:
	rm -f $(ICONS)

=== debian/changelog ===
linkchecker (8.6-2) unstable; urgency=low

  * Updated debian/watch

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 15 Jan 2014 20:09:07 +0100

linkchecker (8.6-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards version to 3.9.5

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 08 Jan 2014 22:44:41 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python-all-dev (>= 2.7),
                qt4-dev-tools
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://wummel.github.io/linkchecker/
 
 Package: linkchecker

=== debian/watch ===
# LinkChecker-(.*)\.tar\.xz
# watch control file for uscan
version=3
http://wummel.github.io/linkchecker/ \
  http://wummel.github.io/linkchecker/dist/LinkChecker-(.*)\.tar\.xz

## linkchecker 9.3

=== Makefile ===
--- 
+++ 
@@ -2,27 +2,28 @@
 PYVER:=2.7
 PYTHON?=python$(PYVER)
 VERSION:=$(shell $(PYTHON) setup.py --version)
-PLATFORM:=$(shell $(PYTHON) -c "from distutils.util import get_platform; print get_platform()")
+PLATFORM:=$(shell $(PYTHON) -c "from __future__ import print_function; from distutils.util import get_platform; print(get_platform())")
 APPNAME:=$(shell $(PYTHON) setup.py --name)
 AUTHOR:=$(shell $(PYTHON) setup.py --author)
 MAINTAINER:=$(shell $(PYTHON) setup.py --maintainer)
 LAPPNAME:=$(shell echo $(APPNAME)|tr "[A-Z]" "[a-z]")
-ARCHIVE_SOURCE:=$(APPNAME)-$(VERSION).tar.xz
+ARCHIVE_SOURCE_EXT:=gz
+ARCHIVE_SOURCE:=$(APPNAME)-$(VERSION).tar.$(ARCHIVE_SOURCE_EXT)
 ARCHIVE_WIN32:=$(APPNAME)-$(VERSION).exe
 GITUSER:=wummel
 GITREPO:=$(LAPPNAME)
 HOMEPAGE:=$(HOME)/public_html/$(LAPPNAME)-webpage.git
 WEB_META:=doc/web/app.yaml
 DEBUILDDIR:=$(HOME)/projects/debian/official
-DEBORIGFILE:=$(DEBUILDDIR)/$(LAPPNAME)_$(VERSION).orig.tar.xz
+DEBORIGFILE:=$(DEBUILDDIR)/$(LAPPNAME)_$(VERSION).orig.tar.$(ARCHIVE_SOURCE_EXT)
 DEBPACKAGEDIR:=$(DEBUILDDIR)/$(APPNAME)-$(VERSION)
 FILESCHECK_URL:=http://localhost/~calvin/
 SRCDIR:=${HOME}/src
-PY_FILES_DIRS:=linkcheck tests *.py linkchecker linkchecker-nagios linkchecker-gui cgi-bin config doc
+PY_FILES_DIRS:=linkcheck tests *.py linkchecker linkchecker-gui cgi-bin config doc/examples scripts
 MYPY_FILES_DIRS:=linkcheck/HtmlParser linkcheck/checker \
 	  linkcheck/cache linkcheck/configuration linkcheck/director \
 	  linkcheck/htmlutil linkcheck/logger linkcheck/network \
-	  linkcheck/bookmarks \
+	  linkcheck/bookmarks linkcheck/plugins linkcheck/parser \
 	  linkcheck/gui/__init__.py \
 	  linkcheck/gui/checker.py \
 	  linkcheck/gui/contextmenu.py \
@@ -45,7 +46,6 @@
 	  cgi-bin/lc.wsgi \
 	  linkchecker \
 	  linkchecker-gui \
-	  linkchecker-nagios \
 	  *.py
 
 TESTS ?= tests
@@ -105,15 +105,19 @@
 	cp -f build/lib.$(PLATFORM)-$(PYVER)*/linkcheck/network/_network*.so linkcheck/network
 
 release: distclean releasecheck filescheck
-	$(MAKE) dist sign upload homepage tag register changelog deb
+	$(MAKE) dist sign register upload homepage tag changelog deb
 
 tag:
 	git tag upstream/$(VERSION)
 	git push --tags origin upstream/$(VERSION)
 
-upload:
-	cp dist/$(ARCHIVE_SOURCE) dist/$(ARCHIVE_WIN32) \
-	  dist/$(ARCHIVE_SOURCE).asc dist/$(ARCHIVE_WIN32).asc \
+upload:	upload_source upload_binary
+
+upload_source:
+	twine upload dist/$(ARCHIVE_SOURCE) dist/$(ARCHIVE_SOURCE).asc
+
+upload_binary:
+	cp dist/$(ARCHIVE_WIN32) dist/$(ARCHIVE_WIN32).asc \
 	  $(HOMEPAGE)/dist
 
 homepage:
@@ -123,6 +127,8 @@
 	@echo "lname: \"$(LAPPNAME)\"" >> $(WEB_META)
 	@echo "maintainer: \"$(MAINTAINER)\"" >> $(WEB_META)
 	@echo "author: \"$(AUTHOR)\"" >> $(WEB_META)
+	git add $(WEBMETA)
+	-git commit -m "Updated webpage meta info"
 # update documentation and man pages
 	$(MAKE) -C doc man
 	$(MAKE) -C doc/web release
@@ -130,9 +136,6 @@
 register:
 	@echo "Register at Python Package Index..."
 	$(PYTHON) setup.py register
-	@echo "done."
-	@echo "Submitting to Freecode..."
-	freecode-submit < $(LAPPNAME).freecode
 	@echo "done."
 
 deb:
@@ -153,9 +156,9 @@
 	find . -type d -exec chmod 755 {} \;
 
 dist: locale MANIFEST chmod
-	rm -f dist/$(APPNAME)-$(VERSION).tar.xz
+	rm -f dist/$(ARCHIVE_SOURCE)
 	$(PYTHON) setup.py sdist --formats=tar
-	xz dist/$(APPNAME)-$(VERSION).tar
+	gzip --best dist/$(APPNAME)-$(VERSION).tar
 	[ ! -f ../$(ARCHIVE_WIN32) ] || cp ../$(ARCHIVE_WIN32) dist
 
 # Build OSX installer with py2app
@@ -192,9 +195,9 @@
 	done
 
 update-copyright:
-	update-copyright --holder="Bastian Kleineidam"
-
-releasecheck: check update-certificates
+	update-copyright --holder="Bastian Kleineidam" $(PY_FILES_DIRS)
+
+releasecheck: check
 	@if egrep -i "xx\.|xxxx|\.xx" doc/changelog.txt > /dev/null; then \
 	  echo "Could not release: edit doc/changelog.txt release date"; false; \
 	fi
@@ -202,13 +205,10 @@
 	  echo "Missing WIN32 distribution archive at ../$(ARCHIVE_WIN32)"; \
 	  false; \
 	fi
-	@if ! grep "Version: $(VERSION)" $(LAPPNAME).freecode > /dev/null; then \
-	  echo "Could not release: edit $(LAPPNAME).freecode version"; false; \
-	fi
 	$(PYTHON) setup.py check --restructuredtext
 
 sign:
-	for f in $(shell find dist -name *.xz -o -name *.exe -o -name *.zip -o -name *.dmg); do \
+	for f in $(shell find dist -name *.$(ARCHIVE_SOURCE_EXT) -o -name *.exe -o -name *.zip -o -name *.dmg); do \
 	  [ -f $${f}.asc ] || gpg --detach-sign --armor $$f; \
 	done
 
@@ -218,7 +218,7 @@
 pyflakes:
 	pyflakes $(PY_FILES_DIRS) 2>&1 | \
           grep -v "local variable 'dummy' is assigned to but never used" | \
-          grep -v -E "'(py2exe|py2app|PyQt4|biplist|setuptools|win32com|find_executable|parse_bookmark_data|parse_bookmark_file|wsgiref|pyftpdlib|linkchecker_rc)' imported but unused" | \
+          grep -v -E "'(py2exe|py2app|PyQt4|biplist|setuptools|win32com|find_executable|parse_sitemap|parse_sitemapindex|parse_bookmark_data|parse_bookmark_file|wsgiref|pyftpdlib|linkchecker_rc)' imported but unused" | \
           grep -v "undefined name '_'" | \
 	  grep -v "undefined name '_n'" | cat
 
@@ -227,7 +227,7 @@
 
 # Compare custom Python files with the originals
 diff:
-	@for f in gzip robotparser httplib; do \
+	@for f in gzip robotparser; do \
 	  echo "Comparing $${f}.py"; \
 	  diff -u linkcheck/$${f}2.py $(SRCDIR)/cpython.hg/Lib/$${f}.py | $(PAGER); \
 	done
@@ -246,18 +246,13 @@
 	$(MAKE) -C linkcheck/gui
 
 count:
-	@sloccount linkchecker linkchecker-gui linkchecker-nagios linkcheck tests
+	@sloccount linkchecker linkchecker-gui linkcheck tests
 
 # run eclipse ide
 ide:
 	eclipse -data $(CURDIR)/..
 
-update-certificates:	config/ca-certificates.crt
-
-config/ca-certificates.crt:	/etc/ssl/certs/ca-certificates.crt
-	cp $< $@
-
 .PHONY: test changelog gui count pyflakes ide login upload all clean distclean
 .PHONY: pep8 cleandeb locale localbuild deb diff dnsdiff sign
 .PHONY: filescheck update-copyright releasecheck check register announce
-.PHONY: chmod dist app rpm release homepage update-certificates
+.PHONY: chmod dist app rpm release homepage

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-HTMLDIR:=$(HOME)/public_html/linkchecker.git/source
+HTMLDIR:=web/media
 MANHTMLFILES:= \
 	$(HTMLDIR)/man1/linkchecker.1.html \
 	$(HTMLDIR)/man5/linkcheckerrc.5.html \

=== po/Makefile ===
XGETTEXT := xgettext
MSGFMT := msgfmt
MSGMERGE := msgmerge
POSOURCES = $(shell find ../linkcheck -name \*.py) \
	../linkchecker ../linkchecker-gui /usr/lib/python2.7/argparse.py
LDIR = ../share/locale
PACKAGE = linkchecker
TEMPLATE = $(PACKAGE).pot
MYMAIL := bastian.kleineidam@web.de
LFILE = LC_MESSAGES/$(PACKAGE).mo
# defined language (add new languages here)
LANGUAGES = de fr es

all:

mofiles:
	@for la in $(LANGUAGES); do \
	  if [ ! -d $(LDIR)/$$la/LC_MESSAGES ]; then \
	    mkdir -p $(LDIR)/$$la/LC_MESSAGES; \
	  fi; \
	  echo "Formatting language catalog $${la}:"; \
	  $(MSGFMT) -c --statistics -o $(LDIR)/$$la/$(LFILE) $$la.po; \
	done

%.po:	$(TEMPLATE)
	$(MSGMERGE) -U --suffix=.bak $@ $<

template: $(TEMPLATE)
$(TEMPLATE): $(POSOURCES)
	$(XGETTEXT) -w 80 --default-domain=$(PACKAGE) --language=Python \
	  --copyright-holder="Bastian Kleineidam <$(MYMAIL)>" \
	  --msgid-bugs-address=$(MYMAIL) -o $(TEMPLATE) \
	  --keyword=_n:1,2 $(POSOURCES)

%.mo:	%.po
	if [ ! -d $(LDIR)/$*/LC_MESSAGES ]; then \
	  mkdir -p $(LDIR)/$*/LC_MESSAGES; \
	fi
	$(MSGFMT) -c --statistics -o $(LDIR)/$*/$(LFILE) $<

clean:
	@for f in $(LANGUAGES); do rm -f $(LDIR)/$$f/$(LFILE); done
	rm -f *.mo *.bak

.PHONY: mofiles clean

=== linkcheck/HtmlParser/Makefile ===
# this parser needs flex >= 2.5.xx from http://lex.sf.net/
# for reentrant bison parser support
FLEX = flex
PYINCLUDE=-I/usr/include/python2.7
#PYINCLUDE="-I/home/calvin/src/python-gitsvn -I/home/calvin/src/python-gitsvn/Include"

all: htmllex.c htmlparse.c

htmlsax.so: htmllex.o htmlparse.o s_util.o
	gcc -pthread -shared $^ -o htmlsax.so

%.o:	%.c
	gcc -g -std=c99 -O3 -Wall -pedantic -Wstrict-prototypes -fPIC -I. $(PYINCLUDE) -c $< -o $@

htmlparse.h htmlparse.c:	htmlparse.y htmlsax.h
	bison htmlparse.y

htmllex.l:	htmlparse.h

htmllex.c:	htmllex.l htmlsax.h
	$(FLEX) htmllex.l
	awk -f fixincludes.awk htmllex.c > htmllex.c.fixed; mv -f htmllex.c.fixed htmllex.c

clean:
	rm -f *.o *.so *.pyc *.pyo *.output

distclean: clean
	rm -f htmlparse.c htmlparse.h htmllex.c

=== linkcheck/gui/Makefile ===
# generate Python files from UI description

# edit ui/*.ui files with designer (ie. /usr/bin/designer-qt4)
UI_FILES = linkchecker_ui_main.py \
	linkchecker_ui_options.py \
	linkchecker_ui_debug.py \
	linkchecker_ui_editor.py
RC_FILES = linkchecker_rc.py


all: $(UI_FILES) $(RC_FILES)

linkchecker_ui_%.py: ui/%.ui
	pyuic4 -o $@ $<
# replace the Qt translator with the one LinkChecker uses
	sed -i -r -e 's/QtGui\.QApplication\.translate\("[^"]+", "([^"]+)", None, QtGui\.QApplication\.UnicodeUTF8\)/_("\1")/g' $@

linkchecker_rc.py: rc/linkchecker.qrc
	pyrcc4 -o $@ $<

clean:
	rm -f *.pyc *.pyo

rebuild:
	rm -f $(UI_FILES) $(RC_FILES)
	$(MAKE) all

=== debian/changelog ===
linkchecker (9.3-5) unstable; urgency=medium

  * QA upload.
  * Add another patch to make SSL work with requests >= 2.1.5.

 -- Vincent Bernat <bernat@debian.org>  Sat, 18 Nov 2017 13:35:07 +0100

linkchecker (9.3-4) unstable; urgency=medium

  * QA upload.
  * Update SSL patch which was broken after unbundling in
    python-requests. Related to #772947.

 -- Vincent Bernat <bernat@debian.org>  Sat, 23 Jul 2016 14:42:30 +0200

linkchecker (9.3-3) unstable; urgency=medium

  * QA upload.
  * Add call to dh_auto_install in override_dh_auto_install-indep,
    should make "dpkg-buildpackage -A" to work. Closes: #806069.

 -- Santiago Vila <sanvila@debian.org>  Mon, 18 Jul 2016 14:02:12 +0200

linkchecker (9.3-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to QA Group
  * Add dh-python to build-deps
  * Put bash completions in correct location
  * Removed redundant menu file
  * Updated watch file
  * Dropped build-dep on hardening-flags
  * Dropped unneeded versions on deps
  * Bumped standards version to 3.9.8
  * Patch from upstream to fix Python version check (Closes: #826027)

 -- David William Richmond Jones <dwrj87@gmail.com>  Mon, 04 Jul 2016 06:08:23 +0100

linkchecker (9.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix HTTPS checks (Closes: #772947)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 19 May 2016 14:53:14 -0400

linkchecker (9.3-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 16 Jul 2014 07:34:41 +0200

linkchecker (9.2-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/copyright

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 23 Apr 2014 22:31:41 +0200

linkchecker (9.1-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 30 Mar 2014 19:22:02 +0200

linkchecker (9.0-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 04 Mar 2014 22:01:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,36 @@
 Source: linkchecker
 Section: web
 Priority: optional
-Maintainer: Bastian Kleineidam <calvin@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9),
+               dh-python,
                gettext,
-               hardening-wrapper,
-               python-all-dev (>= 2.7),
+               python-all-dev,
+               python-requests (>= 2.2.1),
+               python-urllib3,
                qt4-dev-tools
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.5
-Homepage: http://wummel.github.io/linkchecker/
+Standards-Version: 3.9.8
+Homepage: https://wummel.github.io/linkchecker/
 
 Package: linkchecker
 Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python (>= 2.7.2)
+Depends: python,
+         python-requests (>= 2.2.1),
+         python-urllib3,
+         ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
 Provides: ${python:Provides}
 Suggests: clamav-daemon,
           linkchecker-gui,
           linkchecker-web,
+          python-argcomplete,
           python-cssutils,
           python-gconf,
-          python-geoip (>= 1.2.1-2),
+          python-geoip,
           python-meliae,
-          python-optcomplete (>= 1.2-5),
-          python-twill,
-          python-utidylib
+          python-twill
 Description: check websites and HTML documents for broken links
  Provides a command line program and web interface to check links
  of websites and HTML documents.
@@ -48,11 +54,12 @@
 
 Package: linkchecker-web
 Architecture: all
-Depends: linkchecker,
-         apache2 | httpd,
+Depends: apache2 | httpd,
          libapache2-mod-wsgi | httpd-wsgi,
+         linkchecker,
+         python,
          ${misc:Depends},
-         ${python:Depends}, python (>= 2.7.2)
+         ${python:Depends}
 Conflicts: linkchecker (<< 7.7)
 Description: check websites and HTML documents for broken links (web client)
  Provides a web interface to check links of websites and HTML documents.
@@ -70,7 +77,7 @@
 Architecture: all
 Depends: libqt4-sql-sqlite,
          linkchecker,
-         python-qt4 (>= 4.5),
+         python-qt4,
          python-qt4-sql,
          ${misc:Depends},
          ${python:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

%:
	dh $@ --with python2

override_dh_auto_configure:
# make sure docs are generated and the manifest is built
	$(MAKE) locale
	$(MAKE) -C doc/html all
	python setup.py sdist --manifest-only

override_dh_auto_build:
# force usage of setup.py over Makefile
	dh_auto_build --buildsystem python_distutils

override_dh_installchangelogs:
# install custom changelog
	dh_installchangelogs doc/changelog.txt


ROOTDIR=$(CURDIR)/debian/linkchecker
LOCALEDIR=$(ROOTDIR)/usr/share/locale
ETCDIR=$(ROOTDIR)/etc

ROOTDIRWEB=$(CURDIR)/debian/linkchecker-web
HTMLDIRWEB=$(ROOTDIRWEB)/usr/share/linkchecker/lconline
CGIDIRWEB=$(ROOTDIRWEB)/usr/lib/cgi-bin
ETCDIRWEB=$(ROOTDIRWEB)/etc

override_dh_auto_install-arch:
	dh_auto_install --buildsystem python_distutils
# install bash_completion script
	install -m 644 config/linkchecker-completion $(ROOTDIR)/usr/share/bash-completion/completions/
# install .mo files
	install -m 644 build/share/locale/de/LC_MESSAGES/linkchecker.mo $(LOCALEDIR)/de/LC_MESSAGES/

override_dh_auto_install-indep:
	dh_auto_install --buildsystem python_distutils
# install CGI files in web package
	install -m 644 cgi-bin/lconline/*.html $(HTMLDIRWEB)
	install -m 644 cgi-bin/lconline/*.de $(HTMLDIRWEB)
	install -m 644 cgi-bin/lconline/*.en $(HTMLDIRWEB)
	install -m 644 cgi-bin/lconline/*.js $(HTMLDIRWEB)
	install -m 644 cgi-bin/lconline/*.css $(HTMLDIRWEB)
	install -m 644 cgi-bin/lconline/*.ico $(HTMLDIRWEB)
	install -m 755 cgi-bin/lc.wsgi $(CGIDIRWEB)
# apache configuration
	install -m 644 config/linkchecker.apache2.conf $(ETCDIRWEB)/apache2/conf-available/linkchecker.conf

# clean generated files
override_dh_clean:
	dh_clean doc/html/*.qch doc/html/*.qhc _LinkChecker_configdata.py

# do not run test suite when building
override_dh_auto_test:

# use xz for debian binary package compression
override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
# watch control file for uscan
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/linkchecker-$1\.tar\.gz/ \
  https://github.com/wummel/linkchecker/tags .*/v?(\d\S*)\.tar\.gz
